package testinit1

import (
	"path/filepath"
	"runtime"

	"git.rosy.net.cn/jx-callback/globals"
	"git.rosy.net.cn/jx-callback/globals/beegodb"
	beego "github.com/astaxie/beego/server/web"
)

func Init() {
	_, file, _, _ := runtime.Caller(0)
	apppath, _ := filepath.Abs(filepath.Dir(filepath.Join(file, ".."+string(filepath.Separator)+".."+string(filepath.Separator))))
	beego.TestBeegoInit(apppath)

	beego.BConfig.RunMode = "dev" // InitBeegoBeforeTest会将runmode设置为test

	globals.Init()
	beegodb.Init()
}
